Błąd podczas uruchamianie komponentów InfluxDB

Cześć,
Po dodaniu integracji z influxdb według tego poradnika:

:chart_with_upwards_trend: InfluxDB w AIS dom - faq - AI-Speaker

podczas uruchamiania bramki w logach widzę taki wpis:

>   Logger: root
Source: components/influxdb/__init__.py:357
First occurred: 10:42:39 PM (1 occurrences)
Last logged: 10:42:39 PM

Uncaught thread exception
Traceback (most recent call last):
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/multiprocessing/synchronize.py", line 28, in <module>
    from _multiprocessing import SemLock, sem_unlink
ImportError: cannot import name 'SemLock' from '_multiprocessing' (/data/data/pl.sviete.dom/files/usr/lib/python3.9/lib-dynload/_multiprocessing.cpython-39.so)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/threading.py", line 954, in _bootstrap_inner
    self.run()
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/homeassistant/components/influxdb/__init__.py", line 582, in run
    self.write_to_influxdb(json)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/homeassistant/components/influxdb/__init__.py", line 558, in write_to_influxdb
    self.influx.write(json)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/homeassistant/components/influxdb/__init__.py", line 357, in write_v2
    write_api.write(**data)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/influxdb_client/client/write_api.py", line 251, in write
    results = list(map(write_payload, payloads.items()))
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/influxdb_client/client/write_api.py", line 249, in write_payload
    return self._post_write(_async_req, bucket, org, final_string, payload[0])
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/influxdb_client/client/write_api.py", line 366, in _post_write
    return self._write_service.post_write(org=org, bucket=bucket, body=body, precision=precision,
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/influxdb_client/service/write_service.py", line 62, in post_write
    return self.post_write_with_http_info(org, bucket, body, **kwargs)  # noqa: E501
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/influxdb_client/service/write_service.py", line 168, in post_write_with_http_info
    return self.api_client.call_api(
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/influxdb_client/api_client.py", line 347, in call_api
    thread = self.pool.apply_async(self.__call_api, (resource_path,
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/site-packages/influxdb_client/api_client.py", line 94, in pool
    self._pool = ThreadPool(self.pool_threads)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/multiprocessing/pool.py", line 927, in __init__
    Pool.__init__(self, processes, initializer, initargs)
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/multiprocessing/pool.py", line 196, in __init__
    self._change_notifier = self._ctx.SimpleQueue()
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/multiprocessing/context.py", line 113, in SimpleQueue
    return SimpleQueue(ctx=self.get_context())
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/multiprocessing/queues.py", line 342, in __init__
    self._rlock = ctx.Lock()
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/multiprocessing/context.py", line 67, in Lock
    from .synchronize import Lock
  File "/data/data/pl.sviete.dom/files/usr/lib/python3.9/multiprocessing/synchronize.py", line 30, in <module>
    raise ImportError("This platform lacks a functioning sem_open" +
ImportError: This platform lacks a functioning sem_open implementation, therefore, the required synchronization primitives needed will not function, see issue 3770.

Ktoś ma pomysł jak sobie z tym poradzić? Jak się łatwo można domyślić - integracja nie działa :slight_smile:

Robert